// Note this file differs from our usual convention because it is packaged
const {
  CHROMATIC_SERVER_PORT = 3004,
  CHROMATIC_INDEX_URL = 'https://index.chromatic.com',
  CHROMATIC_TUNNEL_URL = 'https://tunnel.chromaticqa.com',
  CHROMATIC_CREATE_TUNNEL = 'true',
  CHROMATIC_RETRIES = 5,
  CHROMATIC_POLL_INTERVAL = 1000,
  CHROMATIC_TIMEOUT = 5 * 60 * 1000,
  CHROMATIC_STORYBOOK_VERSION,
  LOGGLY_CUSTOMER_TOKEN = 'b5e26204-cdc5-4c78-a9cc-c69eb7fabad3',
  STORYBOOK_BUILD_TIMEOUT = 10 * 60 * 1000,
} = process.env;

const ENVIRONMENT_WHITELIST = [/^GERRIT/, /^TRAVIS/];

const STORYBOOK_CLI_FLAGS_BY_VERSION = {
  '--ci': '4.0.0',
  '--loglevel': '5.1.0',
};

const CHROMATIC_PROJECT_TOKEN =
  process.env.CHROMATIC_PROJECT_TOKEN ||
  process.env.CHROMATIC_APP_CODE || // backwards compatibility
  process.env.CHROMA_APP_CODE; // backwards compatibility

export default () => ({
  CHROMATIC_SERVER_PORT: parseInt(CHROMATIC_SERVER_PORT, 10),
  CHROMATIC_INDEX_URL,
  CHROMATIC_TUNNEL_URL,
  CHROMATIC_CREATE_TUNNEL,
  CHROMATIC_PROJECT_TOKEN,
  CHROMATIC_RETRIES: parseInt(CHROMATIC_RETRIES, 10),
  CHROMATIC_POLL_INTERVAL: parseInt(CHROMATIC_POLL_INTERVAL, 10),
  CHROMATIC_TIMEOUT: parseInt(CHROMATIC_TIMEOUT, 10),
  CHROMATIC_STORYBOOK_VERSION,
  ENVIRONMENT_WHITELIST,
  LOGGLY_CUSTOMER_TOKEN,
  STORYBOOK_BUILD_TIMEOUT: parseInt(STORYBOOK_BUILD_TIMEOUT, 10),
  STORYBOOK_CLI_FLAGS_BY_VERSION,
});
